<style>
    html,
    body,
    #editor {
        font-family: 'Helvetica Neue', Arial, sans-serif;
        color: #333;
        h1,
        h2,
        h3 {
            text-align: left!important;
            margin: 5px 0!important;
        }
    }
    
    textarea,
    #editor div {
        height: 300px;
        border: none;
        vertical-align: top;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
        padding: 0 20px;
    }
    
    textarea {
        border: none;
        border-right: 1px solid #ccc;
        resize: none;
        outline: none;
        background-color: #f6f6f6;
        font-size: 14px;
        font-family: 'Monaco', courier, monospace;
        padding: 20px;
        &:active,
        &:focus {
            border: 0px solid black;
        }
    }
    
    form textarea {
        height: 36px;
    }
    
    code {
        color: #f66;
    }
</style>

<div class="container">

    <h1>Launch Control</h1>

    <h2>Meta Tags &amp; SEO Configurations</h2>
    <section>
        <form>
            <fieldset>
                <label for="description">Description</label>
                <textarea placeholder="Site Description" id="description"></textarea>
                <div class="row">
                    <div class="column">
                        <label for="author">Author</label>
                        <input type="text" placeholder="Author's Name'" id="author">

                    </div>
                    <div class="column">
                        <label for="locale">Locale</label>
                        <input type="text" placeholder="locale" id="locale">
                    </div>
                </div>


                <div class="row">
                    <div class="column">
                        <label for="site_name">Site Name</label>
                        <input type="text" placeholder="site name" id="site_name">
                    </div>
                    <div class="column">
                        <label for="site_url">Site URL</label>
                        <input type="text" placeholder="site_url" id="site_url">
                    </div>
                </div>
                <div class="row">
                    <div class="column">
                        <label for="site_title">Site Title</label>
                        <input type="text" placeholder="site title" id="site_title">
                    </div>
                    <div class="column">
                        <label for="site_type">Resource Type</label>
                        <input type="text" placeholder="Website, Application, ect." id="site_type">
                    </div>
                </div>
                <br>
                <label for="google_key">Google Analytics Key</label>
                <input type="text" placeholder="Google Analytics Key" id="google_key">


            </fieldset>
        </form>
    </section>
</div>


<div class="container">
    <div class="row">
        <h2>Content Editor</h2>
    </div>
    <div class="row">
        <p>
            The content editor is for writing markdown, which is converted into HTML code. Markdown let's you rapidly type and paste content, without caring about writing code, only caring about titles, subtitles and paragraphs ect. See descri[tion below.]
        </p>
    </div>
    <section id="editor" class="row">
        <div class="column">
            <textarea v-model="input" debounce="300"></textarea>

        </div>
        <div class="column">
            <div v-html="input | marked"></div>
        </div>
    </section>
</div>


<script src="/js/marked.min.js"></script>
<script src="/js/vue.js"></script>
<script>
    new Vue({
        el: '#editor',
        data: {
            input: '# title\n## main heading\n * list item 1\n * list item 2\n \nsome regular text\n > this is a quote'
        },
        filters: {
            marked: marked
        }
    })
</script>